Package org.apache.activemq.artemis.api.core

## Class FilterConstants

- java.lang.Object
- - org.apache.activemq.artemis.api.core.FilterConstants

-     public final class FilterConstants
      extends java.lang.Object

  Constants representing pre-defined message attributes that can be referenced in ActiveMQ Artemis core filter expressions.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static org.apache.activemq.artemis.api.core.SimpleString` | `ACTIVEMQ_ADDRESS` | Name of the ActiveMQ Artemis Address header
    `static org.apache.activemq.artemis.api.core.SimpleString` | `ACTIVEMQ_DURABLE` | Name of the ActiveMQ Artemis Message durable header.
    `static org.apache.activemq.artemis.api.core.SimpleString` | `ACTIVEMQ_EXPIRATION` | Name of the ActiveMQ Artemis Message expiration header.
    `static org.apache.activemq.artemis.api.core.SimpleString` | `ACTIVEMQ_GROUP_ID` | Name of the ActiveMQ Artemis Message group id header.
    `static org.apache.activemq.artemis.api.core.SimpleString` | `ACTIVEMQ_PREFIX` | All ActiveMQ Artemis headers are prepended by this prefix.
    `static org.apache.activemq.artemis.api.core.SimpleString` | `ACTIVEMQ_PRIORITY` | Name of the ActiveMQ Artemis Message priority header.
    `static org.apache.activemq.artemis.api.core.SimpleString` | `ACTIVEMQ_SIZE` | Name of the ActiveMQ Artemis Message size header.
    `static org.apache.activemq.artemis.api.core.SimpleString` | `ACTIVEMQ_TIMESTAMP` | Name of the ActiveMQ Artemis Message timestamp header.
    `static org.apache.activemq.artemis.api.core.SimpleString` | `ACTIVEMQ_USERID` | Name of the ActiveMQ Artemis UserID header.
    `static org.apache.activemq.artemis.api.core.SimpleString` | `DURABLE` | Value for the Durable header when the message is durable.
    `static java.lang.String` | `NATIVE_MESSAGE_ID` | Proton protocol stores JMSMessageID as NATIVE_MESSAGE_ID
    `static org.apache.activemq.artemis.api.core.SimpleString` | `NON_DURABLE` | Value for the Durable header when the message is non-durable.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ACTIVEMQ_USERID

          public static final org.apache.activemq.artemis.api.core.SimpleString ACTIVEMQ_USERID

      Name of the ActiveMQ Artemis UserID header.

    - #### ACTIVEMQ_EXPIRATION

          public static final org.apache.activemq.artemis.api.core.SimpleString ACTIVEMQ_EXPIRATION

      Name of the ActiveMQ Artemis Message expiration header.

    - #### ACTIVEMQ_DURABLE

          public static final org.apache.activemq.artemis.api.core.SimpleString ACTIVEMQ_DURABLE

      Name of the ActiveMQ Artemis Message durable header.

    - #### NON_DURABLE

          public static final org.apache.activemq.artemis.api.core.SimpleString NON_DURABLE

      Value for the Durable header when the message is non-durable.

    - #### DURABLE

          public static final org.apache.activemq.artemis.api.core.SimpleString DURABLE

      Value for the Durable header when the message is durable.

    - #### ACTIVEMQ_TIMESTAMP

          public static final org.apache.activemq.artemis.api.core.SimpleString ACTIVEMQ_TIMESTAMP

      Name of the ActiveMQ Artemis Message timestamp header.

    - #### ACTIVEMQ_PRIORITY

          public static final org.apache.activemq.artemis.api.core.SimpleString ACTIVEMQ_PRIORITY

      Name of the ActiveMQ Artemis Message priority header.

    - #### ACTIVEMQ_SIZE

          public static final org.apache.activemq.artemis.api.core.SimpleString ACTIVEMQ_SIZE

      Name of the ActiveMQ Artemis Message size header.

    - #### ACTIVEMQ_ADDRESS

          public static final org.apache.activemq.artemis.api.core.SimpleString ACTIVEMQ_ADDRESS

      Name of the ActiveMQ Artemis Address header

    - #### ACTIVEMQ_GROUP_ID

          public static final org.apache.activemq.artemis.api.core.SimpleString ACTIVEMQ_GROUP_ID

      Name of the ActiveMQ Artemis Message group id header.

    - #### ACTIVEMQ_PREFIX

          public static final org.apache.activemq.artemis.api.core.SimpleString ACTIVEMQ_PREFIX

      All ActiveMQ Artemis headers are prepended by this prefix.

    - #### NATIVE_MESSAGE_ID

          public static final java.lang.String NATIVE_MESSAGE_ID

      Proton protocol stores JMSMessageID as NATIVE_MESSAGE_ID
      See Also:
        Constant Field Values